name: varbase_media_update_90008
description: 'Issue #3394223: Fix Status Report for updates with Embed button CKEditor5 compatibility after updating'
type: update
config:
  actions:
    embed.button.media:
      ensure_exists:
        icon:
          uri: 'public://embed-media.png'
      simple_config_update:
        icon:
          uri: 'public://embed_buttons/embed-media.svg'
          data: PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAxNiAxNiIgZmlsbD0ibm9uZSI+CiAgPGcgaWQ9IkxheWVyXzIiIGRhdGEtbmFtZT0iTGF5ZXIgMiI+CiAgICA8ZyBpZD0iTGF5ZXJfMS0yIiBkYXRhLW5hbWU9IkxheWVyIDEiPgogICAgICA8ZyBpZD0ibWVkaWEtOSI+CiAgICAgICAgPHJlY3QgZmlsbD0ibm9uZSIgd2lkdGg9IjE2IiBoZWlnaHQ9IjE2Ii8+CiAgICAgICAgPHBhdGggZmlsbD0iIzE3MTcxNyIgZD0iTTEwLjY5LDguN2gwbC0uNDQuMTFoMGwtLjE2LDB2NC4zM0ExLjM4LDEuMzgsMCwwLDAsOS40MywxM2ExLjIyLDEuMjIsMCwwLDAtMS4yOSwxLjEzLDEuMjIsMS4yMiwwLDAsMCwxLjI5LDEuMTMsMS4yMiwxLjIyLDAsMCwwLDEuMjktMS4xM1YxMC4yN2wzLjY5LS45MXYzLjExYTEuMzgsMS4zOCwwLDAsMC0uNjgtLjE5LDEuMjIsMS4yMiwwLDAsMC0xLjI5LDEuMTMsMS4yMiwxLjIyLDAsMCwwLDEuMjksMS4xM0ExLjIyLDEuMjIsMCwwLDAsMTUsMTMuNDFWNy42M1oiLz4KICAgICAgICA8cmVjdCBmaWxsPSJub25lIiB4PSIxLjI1IiB5PSIxLjk3IiB3aWR0aD0iOS4yNSIgaGVpZ2h0PSI3LjI1Ii8+CiAgICAgICAgPHBhdGggZmlsbD0iIzE3MTcxNyIgZD0iTTEwLjEzLDIuMzV2Ni41SDEuNjNWMi4zNWg4LjVtLjc1LS43NUguODh2OGgxMHYtOFoiLz4KICAgICAgICA8cG9seWdvbiBmaWxsPSIjMTcxNzE3IiBzdHJva2U9IiMxNzE3MTciIHN0cm9rZS1saW5lY2FwPSJyb3VuZCIgc3Ryb2tlLW1pdGVybGltaXQ9IjEwIiBzdHJva2Utd2lkdGg9IjAuNXB4IiBwb2ludHM9IjEuMjggOC42NCAzLjkyIDYuOCA1LjgyIDguMTIgNy45OSA1LjYgMTAuNTkgNy42MyAxMC42IDkgMS4yOCA5IDEuMjggOC42NCIvPgogICAgICAgIDxjaXJjbGUgZmlsbD0iIzE3MTcxNyIgY3g9IjMuOSIgY3k9IjQuMzQiIHI9IjAuODkiLz4KICAgICAgPC9nPgogICAgPC9nPgogIDwvZz4KPC9zdmc+Cgo=
    embed.button.gallery:
      ensure_exists:
        icon:
          uri: 'public://embed-gallery.png'
      simple_config_update:
        icon:
          uri: 'public://embed_buttons/embed-gallery.svg'
          data: PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAxNiAxNiIgZmlsbD0ibm9uZSIgc3Ryb2tlPSJub25lIj4KICA8cmVjdCBmaWxsPSJub25lIiB3aWR0aD0iMTYiIGhlaWdodD0iMTYiLz4KICA8cmVjdCBmaWxsPSJub25lIiBzdHJva2U9IiMwMDAiIHN0cm9rZS13aWR0aD0iMC43NXB4IiB4PSIwLjgyIiB5PSIxLjAyIiB3aWR0aD0iMTAuOCIgaGVpZ2h0PSI4Ljc1Ii8+CiAgPHJlY3QgZmlsbD0ibm9uZSIgc3Ryb2tlPSIjMDAwIiBzdHJva2Utd2lkdGg9IjAuNzVweCIgeD0iMi41OCIgeT0iMy41NiIgd2lkdGg9IjEwLjgiIGhlaWdodD0iOC43NSIvPgogIDxyZWN0IGZpbGw9Im5vbmUiIHN0cm9rZT0iIzAwMCIgc3Ryb2tlLXdpZHRoPSIwLjc1cHgiIHg9IjQuMzQiIHk9IjYuMSIgd2lkdGg9IjEwLjgiIGhlaWdodD0iOC43NSIvPgogIDxwb2x5Z29uIGZpbGw9IiMxNzE3MTciIHN0cm9rZT0iIzE3MTcxNyIgc3Ryb2tlLWxpbmVjYXA9InJvdW5kIiBzdHJva2Utd2lkdGg9IjAuNXB4IiBwb2ludHM9IjQuNzggMTMuODUgNy42MiAxMS41NiA5LjY4IDEzLjIgMTIuMDIgMTAuMDYgMTQuODMgMTIuNTkgMTQuODQgMTQuMyA0Ljc4IDE0LjMgNC43OCAxMy44NSIvPgogIDxjaXJjbGUgZmlsbD0iIzE3MTcxNyIgY3g9IjcuNDkiIGN5PSI4LjU4IiByPSIxIi8+Cjwvc3ZnPgo=
